Package com.isomorphic.criteria.criterion

# Class LogicalCriterion

java.lang.Object
com.isomorphic.criteria.criterion.LogicalCriterion

All Implemented Interfaces:
  `Criterion`

Direct Known Subclasses:
  `AndCriterion`, `NotCriterion`, `OrCriterion`

public class LogicalCriterion extends Object implements Criterion
Logical criterion for combine all subcriteria(criterion.criteria) using some logic.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LogicalCriterion(Criterion... criteria)`
  Calls `LogicalCriterion(OperatorBase, Criterion...)` constructor, passing `DefaultOperators.And` as operatorId.
  `LogicalCriterion(OperatorBase operatorId, Criterion... criteria)`
  Construct LogicalCriterion using parameters:
  `LogicalCriterion(OperatorBase operatorId, List<Criterion> criteria)`
  Construct LogicalCriterion using parameters:
  `LogicalCriterion(String operatorId, Criterion... criteria)`
  Construct LogicalCriterion using parameters:
  `LogicalCriterion(String operatorId, List<Criterion> criteria)`
  Construct LogicalCriterion using parameters:
  `LogicalCriterion(List<Criterion> criteria)`
  Calls `LogicalCriterion(OperatorBase, List)` constructor, passing `DefaultOperators.And` as operatorId.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Criterion>`
  `getCriteria()`
  Gets list of subcriteria.
  `void`
  `setCriteria(List<Criterion> criteria)`
  Sets list of subcriteria.

- ## Constructor Details

  - ### LogicalCriterion

    public LogicalCriterion(String operatorId, List<Criterion> criteria)
    Construct LogicalCriterion using parameters:
    Parameters:
      `operatorId` - operator id.
      `criteria` - list of subcriteria.

  - ### LogicalCriterion

    public LogicalCriterion(String operatorId, Criterion... criteria)
    Construct LogicalCriterion using parameters:
    Parameters:
      `operatorId` - operator id.
      `criteria` - subcriteria.

  - ### LogicalCriterion

    public LogicalCriterion(List<Criterion> criteria)
    Calls `LogicalCriterion(OperatorBase, List)` constructor, passing `DefaultOperators.And` as operatorId.
    Parameters:
      `criteria` - list of subcriteria.

  - ### LogicalCriterion

    public LogicalCriterion(OperatorBase operatorId, List<Criterion> criteria)
    Construct LogicalCriterion using parameters:
    Parameters:
      `operatorId` - operator that determines checking logic. This is likely to be a member of the `DefaultOperators` class, such as `And`, `Or` or `Not`.
      `criteria` - list of subcriteria.

  - ### LogicalCriterion

    public LogicalCriterion(Criterion... criteria)
    Calls `LogicalCriterion(OperatorBase, Criterion...)` constructor, passing `DefaultOperators.And` as operatorId.
    Parameters:
      `criteria` - subcriteria.

  - ### LogicalCriterion

    public LogicalCriterion(OperatorBase operatorId, Criterion... criteria)
    Construct LogicalCriterion using parameters:
    Parameters:
      `operatorId` - operator that determines checking logic. This is likely to be a member of the `DefaultOperators` class, such as IContains or GreaterThan.
      `criteria` - subcriteria.

- ## Method Details

  - ### setCriteria

    public void setCriteria(List<Criterion> criteria)
    Sets list of subcriteria.
    Parameters:
      `criteria` - subcriteria.

  - ### getCriteria

    public List<Criterion> getCriteria()
    Gets list of subcriteria.
    Returns:
      subcriteria.